--
-- Patch DML de SCO_SCOLARITE du 03/09/2013 à exécuter depuis le user GRHUM
--
-- Rem : fichier encodé UTF-8

SET DEFINE OFF;

--
--
-- Fichier : 1
-- Type : DML
-- Schema : SCO_SCOLARITE
-- Numero de version : 0.1.0.11
-- Date de publication : 03/09/2013
-- Auteur(s) : ldrouot

-- Licence : CeCILL version 2
--
--

WHENEVER SQLERROR EXIT SQL.SQLCODE;



-----------------------V20130821.135359__DML_habilitationPourVersionning.sql------------------------
--Mise à jour des enregistrements de la table TYPE_FORMATION 
DELETE FROM SCO_SCOLARITE.TYPE_FORMATION;
INSERT INTO SCO_SCOLARITE.TYPE_FORMATION(ID_TYPE_FORMATION, CODE, LIBELLE, HABILITABLE) VALUES (SCO_SCOLARITE.TYPE_FORMATION_SEQ.NEXTVAL, 'AP', 'Apprentissage','0');
INSERT INTO SCO_SCOLARITE.TYPE_FORMATION(ID_TYPE_FORMATION, CODE, LIBELLE, HABILITABLE) VALUES (SCO_SCOLARITE.TYPE_FORMATION_SEQ.NEXTVAL, 'FC', 'Formation Continue','0');
INSERT INTO SCO_SCOLARITE.TYPE_FORMATION(ID_TYPE_FORMATION, CODE, LIBELLE, HABILITABLE) VALUES (SCO_SCOLARITE.TYPE_FORMATION_SEQ.NEXTVAL, 'CC', 'Certificat de Capacité','0');
INSERT INTO SCO_SCOLARITE.TYPE_FORMATION(ID_TYPE_FORMATION, CODE, LIBELLE, HABILITABLE) VALUES (SCO_SCOLARITE.TYPE_FORMATION_SEQ.NEXTVAL, 'DU', 'Diplôme Universitaire','1');
INSERT INTO SCO_SCOLARITE.TYPE_FORMATION(ID_TYPE_FORMATION, CODE, LIBELLE, HABILITABLE) VALUES (SCO_SCOLARITE.TYPE_FORMATION_SEQ.NEXTVAL, 'DIU', 'Diplôme Inter-Universitaire','1');
INSERT INTO SCO_SCOLARITE.TYPE_FORMATION(ID_TYPE_FORMATION, CODE, LIBELLE, HABILITABLE) VALUES (SCO_SCOLARITE.TYPE_FORMATION_SEQ.NEXTVAL, 'DUT', 'Diplôme Universitaire de Technologie','1');
INSERT INTO SCO_SCOLARITE.TYPE_FORMATION(ID_TYPE_FORMATION, CODE, LIBELLE, HABILITABLE) VALUES (SCO_SCOLARITE.TYPE_FORMATION_SEQ.NEXTVAL, 'DUP', 'Diplôme Universitaire Professionnalisé','1');
INSERT INTO SCO_SCOLARITE.TYPE_FORMATION(ID_TYPE_FORMATION, CODE, LIBELLE, HABILITABLE) VALUES (SCO_SCOLARITE.TYPE_FORMATION_SEQ.NEXTVAL, 'DI', 'Diplôme d''Ingénieur','1');
INSERT INTO SCO_SCOLARITE.TYPE_FORMATION(ID_TYPE_FORMATION, CODE, LIBELLE, HABILITABLE) VALUES (SCO_SCOLARITE.TYPE_FORMATION_SEQ.NEXTVAL, 'DEFV', 'Diplôme d''Etudes Fondamentales Vétérinaires','1');
INSERT INTO SCO_SCOLARITE.TYPE_FORMATION(ID_TYPE_FORMATION, CODE, LIBELLE, HABILITABLE) VALUES (SCO_SCOLARITE.TYPE_FORMATION_SEQ.NEXTVAL, 'DEI', 'Diplôme d''État d''Infirmier','1');
INSERT INTO SCO_SCOLARITE.TYPE_FORMATION(ID_TYPE_FORMATION, CODE, LIBELLE, HABILITABLE) VALUES (SCO_SCOLARITE.TYPE_FORMATION_SEQ.NEXTVAL, 'DS', 'Diplôme de Santé','1');

--Mise à jour des enregistrement de la table STATUT_FORMATION
DELETE FROM SCO_SCOLARITE.STATUT_FORMATION;
INSERT INTO SCO_SCOLARITE.STATUT_FORMATION(ID_STATUT_FORMATION, CODE, LIBELLE) VALUES (SCO_SCOLARITE.STATUT_FORMATION_SEQ.NEXTVAL, 'ECC', 'En cours de création');
INSERT INTO SCO_SCOLARITE.STATUT_FORMATION(ID_STATUT_FORMATION, CODE, LIBELLE) VALUES (SCO_SCOLARITE.STATUT_FORMATION_SEQ.NEXTVAL, 'EP', 'En production');
INSERT INTO SCO_SCOLARITE.STATUT_FORMATION(ID_STATUT_FORMATION, CODE, LIBELLE) VALUES (SCO_SCOLARITE.STATUT_FORMATION_SEQ.NEXTVAL, 'F', 'Fictive');

COMMIT;


--DB_VERSION 
INSERT INTO SCO_SCOLARITE.DB_VERSION(DBV_ID,DBV_LIBELLE,DBV_DATE,DBV_INSTALL,DBV_COMMENT) VALUES(SCO_SCOLARITE.DB_VERSION_SEQ.NEXTVAL,'0.1.0.11',to_date('03/09/2013','DD/MM/YYYY'),sysdate,'Preparation du versionning');
COMMIT;
